"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = require("fs");
var path_1 = require("path");
function tpl(dir) {
    var target, fileList = ['index.html', 'index.js', 'index.pcss', 'README.md'];
    if (typeof dir === 'undefined') {
        throw new Error('no dir given');
    }
    var sourcePath = path_1.join(__dirname, '../src/tpl'), targetPath = path_1.join(process.cwd(), dir);
    fileList.forEach(function (name) {
        fs_1.createReadStream(path_1.join(sourcePath, name))
            .pipe(fs_1.createWriteStream(path_1.join(targetPath, name))
            .on('close', function () { return console.log("copying " + name + " to folder"); }));
    });
}
exports.tpl = tpl;
//# sourceMappingURL=tpl.js.map