"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path_1 = require("path");
var opn = require("opn");
var server_1 = require("../../server/server");
var pcss_1 = require("./pcss");
function serverInit(dir, program) {
    var port = 9000;
    if (!dir) {
        dir = path_1.resolve(process.cwd(), process.env.npm_package_config_dir || '');
    }
    if (program.port) {
        port = program.port;
    }
    if (program.dir) {
        dir = path_1.resolve(process.cwd(), program.dir);
    }
    pcss_1.pcss({ watch: dir });
    server_1.server(dir, port);
    opn('http://localhost:' + port);
}
exports.serverInit = serverInit;
//# sourceMappingURL=server.js.map